This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 327181 - mkinitrd doesn't correctly detect lvm root fs if using label in /etc/fstab
mkinitrd doesn't correctly detect lvm root fs if using label in /etc/fstab
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 23:33 EDT by Aaron Gaudio
Modified: 2008-06-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of mkinitrd when fstab contains LABEL=/ (7.96 KB, text/plain)
2007-10-10 23:33 EDT, Aaron Gaudio
no flags Details
Output of mkinitrd when fstab contains full path to device for root fs (8.75 KB, text/plain)
2007-10-10 23:34 EDT, Aaron Gaudio
no flags Details

  None (edit)
Description Aaron Gaudio 2007-10-10 23:33:05 EDT
Description of problem:
I have my root fs on an LVM logical volume. If I set up /etc/fstab to use a
label for the root filesystem (eg. LABEL=/), mkinitrd will not end up including
the necessary lvm binary and config file. However, if I set up /etc/fstab to
reference the device path (e.g. /dev/Internal/Root, or
/dev/mapper/Internal-Root), it correctly adds the lvm binary and conf file. 

Logs forthcoming.

Version-Release number of selected component (if applicable):
6.0.9-7.1
Comment 1 Aaron Gaudio 2007-10-10 23:33:05 EDT
Created attachment 223831 [details]
Output of mkinitrd when fstab contains LABEL=/
Comment 2 Aaron Gaudio 2007-10-10 23:34:24 EDT
Created attachment 223841 [details]
Output of mkinitrd when fstab contains full path to device for root fs
Comment 3 Rubin Simons 2008-04-23 10:33:56 EDT
I can confirm this bug still exists in RHEL 4 ES U5. I ran into it last week;
specify root as "LABEL=/" in /etc/fstab; watch mkinitrd skip lvm-specific steps
like copying {lvm.static, lvm.conf} and including more than only the dm-mod
module. It seems to me that bugs #209473, #212124, #214184, #246626, #294051 and
#426671 are related to this (not sure if they're strictly dupes).
Comment 4 Bug Zapper 2008-05-14 10:42:04 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:38:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.